Subject: [tsvwg] FW: New Version Notification for draft-choukir-tsvwg-flow-metadata-encoding-00.txt

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 9 Jul 2013 21:08:37 +0000

This is one of a set of drafts for communicating flow characteristics (a.k.a. metadata) in a consistent manner between applications and the network to provide better visibility of application flows.

The framework is described in:
http://tools.ietf.org/html/draft-eckert-intarea-flow-metadata-framework-00

This document (http://tools.ietf.org/html/draft-choukir-tsvwg-flow-metadata-encoding-00) describes a protocol independent encoding for flow metadata. A flow is defined as a set of IP packets passing through a network in a given direction.  All packets belonging to a particular flow have a set of common properties (e.g. IP, port, transport).
Flow metadata exposes key characteristics of the flow, such as the bandwidth, the tolerance to delay and loss, and others as defined in the framework draft. This information is signaled along the same path as the actual flow.

The mapping of flow metadata encoding to different signaling protocols is outside the scope of this document. The following drafts provide mapping to PCP, RSVP, and STUN:
http://tools.ietf.org/html/draft-wing-pcp-flowdata-00
http://tools.ietf.org/html/draft-zamfir-tsvwg-flow-metadata-rsvp-00
http://tools.ietf.org/html/draft-martinsen-mmusic-malice-00

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, July 08, 2013 3:13 PM
To: Toerless Eckert (eckert); Amine Choukir (amchouki); Anca Zamfir (ancaz); Charles Eckel (eckelcu)
Subject: New Version Notification for draft-choukir-tsvwg-flow-metadata-encoding-00.txt

A new version of I-D, draft-choukir-tsvwg-flow-metadata-encoding-00.txt
has been successfully submitted by Toerless Eckert and posted to the
IETF repository.

Filename:	 draft-choukir-tsvwg-flow-metadata-encoding
Revision:	 00
Title:		 Protocol Independent Encoding for Signaling Flow Characteristics
Creation date:	 2013-07-09
Group:		 Individual Submission
Number of pages: 18
URL:             http://www.ietf.org/internet-drafts/draft-choukir-tsvwg-flow-metadata-encoding-00.txt
Status:          http://datatracker.ietf.org/doc/draft-choukir-tsvwg-flow-metadata-encoding
Htmlized:        http://tools.ietf.org/html/draft-choukir-tsvwg-flow-metadata-encoding-00

Abstract:
   This document describes a protocol independent encoding for flow
   characteristics (a.k.a. metadata).  A flow is defined as a set of IP
   packets passing through a network in a given direction.  All packets
   belonging to a particular flow have a set of common properties (e.g.
   IP, port, transport).  Flow metadata exposes key characteristics of
   the flow such as the originating application, the type of media in
   use (e.g.  audio, video) and others as defined in
   [I-D.eckert-intarea-flow-metadata-framework].  The flow
   characteristics are expressed in terms of information elements.
   These information elements are signaled either out of band or in band
   but always along the same path of the flow associated with the
   application.

   [I-D.eckert-intarea-flow-metadata-framework] defines the overall
   framework for flow metadata and the definition of the flow
   characteristics, whereas this document captures the encoding of these
   characteristics.  The mapping of flow metadata encoding to different
   signaling protocols is outside the scope of this document.

The IETF Secretariat